export const useMessage = () => {
    return {
        // 消息提示
        toast(message) {
            uni.$emit('useMessage', { type: 'default', message })
        },
        // 错误消息
        error(message) {
            uni.$emit('useMessage', { type: 'error', message })
        },
        // 成功消息
        success(message) {
            uni.$emit('useMessage', { type: 'success', message })
        },
        // 警告消息
        loading(message) {
            uni.$emit('useMessage', { type: 'loading', duration: 200000, message: message || '加载中...' })
        },
        close() {
            uni.$emit('closeMessage')
        }
    }
}
